Subject: Re: git-clean buglet

From: Johannes Sixt <[email-masked]>
Date: Wed, 23 Jan 2008 16:40:22 +0100

Johannes Schindelin schrieb:
> Hi,
> 
> On Wed, 23 Jan 2008, Johannes Sixt wrote:
> 
>> Try this in your favorite git repo:
>>
>>     git clean -n /
> 
> That's an absolute path.  Like almost _all_ git commands, clean only 
> takes relative ones.  You probably meant "git clean -n".

I know it's an absolute path, but, no, I said

     git clean -n \*.vcproj

on Windows, which the MinGW port internally transforms into

     git clean -n /*.vcproj

(which was not exactly what I meant, but that's a different story).
And this also reports, just like on Linux:

     fatal: oops in prep_exclude

There remain the questions whether we want to do something about absolute
paths in general or this oops in particular.

-- Hannes